#
# Uncomment the statement below if you want to make use of
# HTTP authentication and it does not already work.
# This could be required if you are for example using PHP via Apache CGI.
#
<IfModule mod_rewrite.c>
Options +FollowSymlinks
RewriteEngine on
#RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization},L]
RewriteCond %{QUERY_STRING}  ^f=(.*)&t=(.*)&p=(.*)\#p=(.*)$
RewriteRule ^$ /viewtopic.php [L]
RewriteCond %{QUERY_STRING}  ^f=(.*)&t=(.*)\#p=(.*)$
RewriteRule ^$ /viewtopic.php [L]
RewriteCond %{QUERY_STRING}  ^f=(.*)&t=(.*)&p=(.*)$
RewriteRule ^$ /viewtopic.php [L]
RewriteCond %{QUERY_STRING}  ^f=(.*)&t=(.*)$
RewriteRule ^$ /viewtopic.php [L]
</IfModule>

<Files "config.php">
Order Allow,Deny
Deny from All
</Files>

<Files "common.php">
Order Allow,Deny
Deny from All
</Files>
